//
//  Player.swift
//  
//
//  Created by Adam BONAFOS on 21/01/2025.
//

import Foundation
class Player {
    var name: String
    var color: Token
    var rules: Rules
    init(rules: Rules, color: Token, name: String){
        self.name = name
        self.color = color
        self.rules = rules
    }
    func play() -> (row: Int, column: Int){
        fatalError("Must override in subclass")
    }
}
